package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentPrice;
import com.hfkj.sysenum.agent.AgentPriceTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: BsAgentPriceService
 * @author: HuRui
 * @date: 2024/6/19
 **/
public interface BsAgentPriceService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsAgentPrice data);

    /**
     * 查询详情
     * @param type
     * @param merNo
     * @param oilNo
     * @return
     */
    BsAgentPrice getDetail(AgentPriceTypeEnum type,String merNo,String oilNo);

    /**
     * 查询详情
     * @param agentMerId
     * @param oilNo
     * @return
     */
    BsAgentPrice getDetail(Long agentMerId,String oilNo);

    /**
     *  查询价格
     * @param agentId
     * @param merId
     * @param oilNo
     * @return
     */
    BsAgentPrice getPrice(Long agentId,Long merId,String oilNo);

    /**
     * 查询列表
     * @param type
     * @param merNo
     * @return
     */
    List<BsAgentPrice> getPriceList(AgentPriceTypeEnum type,String merNo);

    /**
     * 查询代理价格
     * @param param
     * @return
     */
    List<Map<String,Object>> getAgentPriceList(Map<String,Object> param);

    /**
     * 查询API代理优惠
     * @param param
     * @return
     */
    List<Map<String,Object>> getApiAgentDiscountList(Map<String,Object> param);

}
